<mat-card>
  <h2>Formulario de dashboard</h2>
  <form
    [formGroup]="dashboardForm"
    (ngSubmit)="onSubmit()"
  >
    <mat-form-field
      class="example-full-width"
      appearance="fill">
      <mat-label>Fecha de reserva</mat-label>
      <input
        matInput
        [matDatepickerFilter]="myFilter"
        [matDatepicker]="picker"
        formControlName="date"
      />
      <mat-datepicker-toggle
        matSuffix
        [for]="picker">
      </mat-datepicker-toggle>
      <mat-datepicker
        #picker>
      </mat-datepicker>
    </mat-form-field>
    <mat-form-field
      class="ancho"
      appearance="fill">
      <mat-label>Correo</mat-label>
      <input
        matInput
        autocomplete="off"
        type="email"
        [email]="true"
        formControlName="email"
      />
    </mat-form-field>
    <mat-form-field
      class="ancho"
      appearance="fill">
      <mat-label>Nombre</mat-label>
      <input
        matInput
        autocomplete="off"
        type="email"
        formControlName="name" />
    </mat-form-field>
    <mat-form-field>
      <mat-label>Pais</mat-label>
        <mat-select
          formControlName="country"
        >
          <mat-option
            *ngFor="let countrie of countries"
            [value]="countrie.name">
            {{countrie.name}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    <button
      mat-raised-button
      color="primary"
      [disabled]="!dashboardForm.valid"
      >
      Aceptar
    </button>
  </form>
</mat-card>


